Bug 832120 - [RFE] Add AD provider
[RFE] Add AD provider
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.4
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 10:54 EDT by Stephen Gallagher
Modified: 2013-02-21 04:26 EST (History)
3 users (show)

See Also:
Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Enhancement
Doc Text:
Cause: SSSD versions prior to 1.9 would typically use id_provider=ldap when connecting to Active Directory. That configuration required quite some tweaking and couldn't use the advanced features that are AD specific. Consequence: Configuring the SSSD as an AD client required AD knowledge and the performance was not optimal Change: A new provider for the SSSD was implemented Result: The administrator can set up AD client without having to know the specific AD attribute mappings and performance of AD provider is better especially during login than performance of LDAP provider.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:26:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2012-06-14 10:54:30 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1377

For simplicity of setup, we should build an AD provider that will carry the configuration necessary to communicate with an Active Directory 2008 R2 server or later, using ID-mapping and with Kerberos for authentication.

This would mostly be a roll-up of functionality from the LDAP and Kerberos providers (similar to the IPA provider), while providing some specialized options such as 'ad_server' and 'ad_domain'.
Comment 1 RHEL Product and Program Management 2012-07-10 03:06:10 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 22:06:41 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 Kaushik Banerjee 2012-11-16 03:48:54 EST
Verified in version 1.9.2-13

Report from the beaker automation run:
[   PASS   ]      adprovider_001 ad_server = resolvable hostname
[   PASS   ]      adprovider_002 ad_server = hostname not resolvable
[   PASS   ]      adprovider_003 ad_server = _srv_
[   PASS   ]      adprovider_004 ad_server = <blank> defaults to _srv_
[   PASS   ]      adprovider_005 ad_server = IP
[   PASS   ]      adprovider_006 ad_domain = SSSDAD.COM
[   PASS   ]      adprovider_007 ad_domain = junk and first entry in keytab in valid
[   PASS   ]      adprovider_008 ad_domain = junk and first entry in keytab is invalid
[   PASS   ]      adprovider_009 ad_domain = <blank> should default to sssd domain
[   PASS   ]      adprovider_010 ad_hostname = hostname
[   PASS   ]      adprovider_011 krb5_keytab = /etc/krb5.keytab.keytabdoesntexist
[   PASS   ]      adprovider_012 keytab exists in non-default location
[   PASS   ]      adprovider_013 ldap_id_mapping=false
[   PASS   ]      adprovider_014 Change user password
[   PASS   ]      adprovider_015 User must change password on next logon
[   PASS   ]      adprovider_016 User account disabled
[   PASS   ]      adprovider_017 User account is expired
Comment 5 errata-xmlrpc 2013-02-21 04:26:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.